Subject: bug#43069: Sv: bug#43069: 28.0.50; Org-mode does not Render Sub- and Superscripts in text with italics

From: arthur miller <[email-masked]>
Date: Mon, 7 Sep 2020 10:27:51 +0000

I would definitely love to, but I am not sure I am able too. I am affraid I am not very familiar with org code base and I also have lots in my life at the moment unfortunately.

But thanks for the response.
Best regards
/arthur
________________________________
Från: Bastien <[email-masked]>
Skickat: den 6 september 2020 10:09
Till: Arthur Miller <[email-masked]>
Kopia: [email-masked] <[email-masked]>
Ämne: Re: bug#43069: 28.0.50; Org-mode does not Render Sub- and Superscripts in text with italics

Hi Arthur,

Arthur Miller <[email-masked]> writes:

> As title says, when in org-mode, sub- and superscripts are not
> rendered pretty when italics property is also specified (togeteher
> with org-toggle-pretty-entities).

Yes, I can confirm the bug with latest Org from master.

In general, the interaction between `org-pretty-entities' and
`org-use-sub-superscripts' needs to be cleaned up.

I don't have time for this at the moment, but if you want to get more
familiar with this part of the code and help us, please go ahead.

Thanks,

--
 Bastien